/*
 *  GOL - Game of life simulation software
 *  Copyright (C) 1996 Michael Raymond Brown
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *  Author: Michael Raymond Brown
 *  EMail:  michael@arrakeen.demon.co.uk
 *  WWW:    http://www.arrakeen.demon.co.uk/
 *  Address:  Michael Brown
 *            Kia Ora
 *            Brook Street
 *            Great Bromley
 *            Nr Colchester
 *            Essex
 *            CO7 7HX
 *            England
 */


#include <stdio.h>

int main()
   {FILE* fp_in;
    FILE* fp_out;
    int lines=1;
    int chr;

    printf(
	"#ifndef _tConfig_h\n"
	"#define _tConfig_h\n"
	"#define BITSPERINT	%d\n"
	"#endif\n", sizeof(int)*8);

    fp_in = fopen("COPYING", "r");
    if (!fp_in) return 1;
    fp_out = fopen("COPYING.h", "w");
    if (!fp_out)
       {fclose(fp_in);
	return 1;
       }

    fprintf(fp_out, "\nstatic char COPYRIGHT_TEXT[] = \n");

    putc('\"', fp_out);
    while ((chr=getc(fp_in)) != EOF)
	  {if (chr=='\n') lines++;
	   if (chr=='\'' || chr=='\"' || chr=='\\') putc('\\', fp_out);
	   putc(chr, fp_out);
	  }
    fprintf(fp_out, "\";\n\n#define COPYRIGHT_LINES\t%d\n\n", lines);
    fclose(fp_in);
    fclose(fp_out);

    return 0;
   }

